files = {
    '/etc/matrix-synapse/homeserver.yaml': {
        'content_type': 'mako',
        'context': node.metadata['matrix-synapse'],
        'needs': {
            'pkg_apt:matrix-synapse-py3',
        },
        'triggers': {
            'svc_systemd:matrix-synapse:restart',
        },
    },
    '/etc/systemd/system/matrix-synapse.service.d/override.conf': {
        'needs': {
            'pkg_apt:matrix-synapse-py3',
        },
        'triggers': {
            'action:systemd-reload',
            'svc_systemd:matrix-synapse:restart',
        },
    },
    '/etc/matrix-synapse/homeserver.signing.key': {
        'content': repo.vault.decrypt_file('matrix-synapse/{}/homeserver_signing.key.vault'.format(node.name)),
    },
}

svc_systemd = {
    'matrix-synapse': {
        'needs': {
            'file:/etc/matrix-synapse/homeserver.yaml',
            'file:/etc/systemd/system/matrix-synapse.service.d/override.conf',
            'pkg_apt:matrix-synapse-py3',
        },
    },
}
