defaults = {
    'apt': {
        'packages': {
            'miniflux': {},
        },
        'repos': {
            'miniflux': {
                'items': {
                    'deb https://apt.miniflux.app/ /',
                },
            },
        },
    },
    'postgresql': {
        'users': {
            'miniflux': {
                'password': repo.vault.password_for('{} postgresql miniflux'.format(node.name)),
            },
        },
        'databases': {
            'miniflux': {
                'owner': 'miniflux',
            },
        },
    },
}


@metadata_reactor
def nginx(metadata):
    if not node.has_bundle('nginx'):
        raise DoNotRunAgain

    return {
        'nginx': {
            'vhosts': {
                metadata.get('miniflux/domain'): {
                    'proxy': {
                        '/': {
                            'target': 'http://127.0.0.1:22040',
                        },
                    },
                },
            },
        },
    }
